﻿


;-------------------------------------------------------------------------------
GuiShow: ; show Clock GUI
;-------------------------------------------------------------------------------
    Gui, Show, Hide w%Width% h%Height%

    ; restore saved size
    Gui, +LastFound
    If (WinX != "Center")
        WinMove, WinX, WinY

    Gui, Show,, %AppName% v%Version%

Return



;-------------------------------------------------------------------------------
#If WinActive("ahk_id " hClock) ; hotkeys for GUI
;-------------------------------------------------------------------------------
    ^WheelUp::   Zoom("+")
    ^WheelDown:: Zoom("-")

#If ; context off



;-------------------------------------------------------------------------------
GuiClose:         ; {Alt-F4} pressed, [X] clicked
;-------------------------------------------------------------------------------
ContextMenu_Exit: ; exit via context menu
;-------------------------------------------------------------------------------
ExitApp



;-------------------------------------------------------------------------------
GuiEscape: ; {Esc} pressed
;-------------------------------------------------------------------------------
    Gui, Minimize

Return



;-------------------------------------------------------------------------------
GuiSize: ; resize events
;-------------------------------------------------------------------------------
    IsMinimized := (A_EventInfo = 1)

Return



;-------------------------------------------------------------------------------
ContextMenu_Style: ; apply a new style
;-------------------------------------------------------------------------------
    For each, Style in Styles
        Menu, ContextMenu, UnCheck, %Style%
    Menu, ContextMenu, Check, %A_ThisMenuItem%

    SetTimer, Animation, Off
    Gosub, delete_Gdip_Utensils
    get_Colours(ActiveStyle := A_ThisMenuItem)
    Gosub, Write_INI
    Gosub, create_Gdip_Utensils
    Gosub, StartAnimation

Return



;-------------------------------------------------------------------------------
ContextMenu_AlwaysOnTop: ; toggle
;-------------------------------------------------------------------------------
    AlwaysOnTop := Not AlwaysOnTop
    Menu, ContextMenu, ToggleCheck, AlwaysOnTop
    WinSet, AlwaysOnTop, Toggle, ahk_id %hClock%
    Gosub, Write_INI

Return
