﻿


;-------------------------------------------------------------------------------
GuiCreate: ; create the graphical user interface
;-------------------------------------------------------------------------------
    Gui, +hwndhClock -Caption
    hDC_Window := GetDC(hClock)

Return



;-------------------------------------------------------------------------------
MenuCreate: ; create context menu
;-------------------------------------------------------------------------------
    Menu, ContextMenu, Add, AlwaysOnTop, ContextMenu_AlwaysOnTop
    Menu, ContextMenu, Add ; separator

    Styles := []
    Loop, Files, Styles/*.ini
    {
        Styles.Push(Style := SubStr(A_LoopFileName, 1, -4))
        Menu, ContextMenu, Add, %Style%, ContextMenu_Style
    }

    Menu, ContextMenu, Add ; separator
    Menu, ContextMenu, Add, Exit, ContextMenu_Exit

Return



;-------------------------------------------------------------------------------
ApplySettings: ; apply settings from ini-file
;-------------------------------------------------------------------------------
    get_Colours(ActiveStyle)
    Menu, ContextMenu, Check, %ActiveStyle%
    Gosub, create_Gdip_Utensils ; needs Colours[] and Zoom

    If (AlwaysOnTop) {
        DetectHiddenWindows, On
        WinSet, AlwaysOnTop, On, ahk_id %hClock%
        DetectHiddenWindows, Off
        Menu, ContextMenu, Check, AlwaysOnTop
    }

Return
